# PetscDrawHGCreate

Creates a histogram data structure.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscDrawHGCreate(PetscDraw draw, int bins, PetscDrawHG *hist)

Collective over PetscDraw

### Input Parameters

| draw | - The window where the graph will be made
| bins | - The number of bins to use

### Output Parameters

hist -The histogram context

Contributed by: Matthew Knepley

### See Also

PetscDrawHGDestroy()

Level:intermediate
Location: src/sys/draw/utils/hists.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages